Subject: St. John's Wort/How to store

From: [email-masked] (SchatziC)
Date: 8 Oct 1995 04:25:52 -0400

Can anyone tell me how to store the extract for St. John's Wort?  I use
the drop effectively for depression and it works like a charm.  Also what
is the shelf life on extracts AFTER they are opened.  St. John's Wort
seems to get a little "gummy" as I get toward the end of the bottle.  You
can E-Mail me.  Thanks!! SchatziC